"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.dynamicImport = void 0;
const url_1 = require("url");
const isEsmFile_1 = __importDefault(require("./isEsmFile"));
/**
 * Dynamically import files. It will make sure it's not being compiled away by TS/Rollup.
 */
exports.dynamicImport = new Function("path", "return import(path)");
const crossImport = async (path, cwd = process.cwd()) => {
    if ((0, isEsmFile_1.default)(path, cwd)) {
        const url = (0, url_1.pathToFileURL)(path).href;
        const { default: config } = await (0, exports.dynamicImport)(url);
        return config;
    }
    else {
        let result = require(path);
        // compatible with export default config in common ts config
        if (result && typeof result === "object" && "default" in result) {
            result = result.default || {};
        }
        return result;
    }
};
exports.default = crossImport;
