"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const readPackageUp_1 = __importDefault(require("./readPackageUp"));
const isEsmFile = (filePath, cwd = process.cwd()) => {
    const ext = path_1.default.extname(filePath);
    if (/\.(mjs|mts)$/.test(ext)) {
        return true;
    }
    else if (/\.(cjs|cts)/.test(ext)) {
        return false;
    }
    else {
        const packageJson = (0, readPackageUp_1.default)(cwd);
        return (packageJson === null || packageJson === void 0 ? void 0 : packageJson.type) === "module";
    }
};
exports.default = isEsmFile;
