"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const readPackageUp = (cwd = process.cwd()) => {
    let currentDir = path_1.default.resolve(cwd);
    let packageJsonPath = path_1.default.join(currentDir, "package.json");
    while (!fs_1.default.existsSync(packageJsonPath)) {
        const parentDir = path_1.default.dirname(currentDir);
        if (parentDir === currentDir) {
            return null;
        }
        currentDir = parentDir;
        packageJsonPath = path_1.default.join(currentDir, "package.json");
    }
    try {
        return JSON.parse(fs_1.default.readFileSync(packageJsonPath, "utf8"));
    }
    catch (error) {
        return null;
    }
};
exports.default = readPackageUp;
